# Class yii\apidoc\helpers\BrokenLinkException

Inheritance | yii\apidoc\helpers\BrokenLinkException » yii\base\Exception » Exception
Available since version | 2.1.3
Source Code | https://github.com/yiisoft/yii2-apidoc/blob/master/helpers/BrokenLinkException.php

BrokenLinkException represents a broken API link.

## Public Properties

Hide inherited properties

Property | Type | Description | Defined By
--- | --- | --- | ---
$context | yii\apidoc\models\TypeDoc|null |  | yii\apidoc\helpers\BrokenLinkException
$object | string |  | yii\apidoc\helpers\BrokenLinkException

## Public Methods

Hide inherited methods

Method | Description | Defined By
--- | --- | ---
__construct() | Constructor. | yii\apidoc\helpers\BrokenLinkException
getName() |  | yii\apidoc\helpers\BrokenLinkException

## Property Details

Hide inherited properties

$context public property
public yii\apidoc\models\TypeDoc|null $context = null
$object public property
public string $object = null

## Method Details

Hide inherited methods

__construct() public method

Constructor.

public void __construct ( $object, $context )
$object | string |
$context | yii\apidoc\models\TypeDoc|null |

Source code

                    public function __construct($object, $context)
    {
        $this->object = $object;
        $this->context = $context;
        $message = 'broken link to ' . $object . (($context !== null) ? ' in ' . $context->name : '');
        parent::__construct($message);
    }

getName() public method

public string getName ( )
return | string | The user-friendly name of this exception

Source code

                    public function getName()
    {
        return 'Broken Link';
    }